Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Types | Public Member Functions | List of all members
testing::TestPartResult Class Reference

## Public Types
enum | Type { kSuccess, kNonFatalFailure, kFatalFailure }

## Public Member Functions
| TestPartResult (Type a_type, const char *a_file_name, int a_line_number, const char *a_message)
Type | type () const
const char * | file_name () const
int | line_number () const
const char * | summary () const
const char * | message () const
bool | passed () const
bool | failed () const
bool | nonfatally_failed () const
bool | fatally_failed () const

## Detailed Description

Definition at line 47 of file gtest-test-part.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/gtest-test-part.h